Skip to main content
This API returns the total available quantity for the SKU across the origin warehouses summed with the available local inventory of the specified country (commonly generated due to returns).
curl -X GET 'https://product.api.e-cross.tech/ext/inventories/sku/1234567891/country/BR'
\ -H 'Authorization: Bearer YOUR_TOKEN' 
{
  "quantity": 10,
  "inventories": [
    {
      "id": "ACME-1234567891-1-AVAILABLE",
      "skuId": "1234567891",
      "skuName": "T-Shirt",
      "merchantId": "ACME",
      "quantity": 9,
      "inventoryType": "AVAILABLE",
      "lastUpdateDate": "2026-01-17T19:58:53Z",
      "warehouseId": 1,
      "warehouseName": "Default Warehouse",
      "warehouseCountry": "ES",
      "warehouseType": "MERCHANT"
    },
    {
      "id": "ACME-1234567891-1000-AVAILABLE",
      "skuId": "1234567891",
      "skuName": "T-Shirt",
      "merchantId": "ACME",
      "quantity": 1,
      "inventoryType": "AVAILABLE",
      "lastUpdateDate": "2026-01-25T12:15:01Z",
      "warehouseId": 1000,
      "warehouseName": "Returns Warehouse BR",
      "warehouseCountry": "BR",
      "warehouseType": "RETURNS",
      "returnedOrders": [
        {
          "orderId": "ACME-ECOM-TEST-003",
          "returnedDate": "2026-01-25T12:15:01Z",
          "quantity": 5
        }
      ]
    }
  ]
}

Path Parameters

skuId
string
required
The SKU ID in the sales channel (the SKU_ID used to create the SKU).
country
string
required
The country code (ISO 3166-1 alpha-2) of the destination country.

Response Fields

quantity
integer
The sum of all quantities from the inventories in the response. This represents the total available quantity for the SKU to be sold in the specified country.
inventories
array
Array containing available inventory entries for the specified SKU and country.